<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Task 17.10 - Lucky Dice Game</title>
</head>
<script>
    function onBtnNemClick() {
        console.log("Tung xúc xắc");
        var vImgDice = document.getElementById("img-dice");
        vImgDice.src = `images/dice.png`;
        setTimeout(showResult,200);
        var vBtnNem = document.getElementById("btn-nem");
        vBtnNem.innerHTML = "Chơi lại";
        var vResultMessage = document.getElementById("result-message");
        vResultMessage.style.visibility = "hidden";
    }
    
    function showResult() {
        var vRandomNumber = getRandomNumberFrom1To6();
        var vImgDice = document.getElementById("img-dice");
        vImgDice.src = `images/${vRandomNumber}.png`;
        var vResultMessage = document.getElementById("result-message");
        if(vRandomNumber > 0 && vRandomNumber < 4) {
            vResultMessage.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
            vResultMessage.style.color = "orange";
            vResultMessage.style.visibility = "visible";
        }
        else {
            vResultMessage.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
            vResultMessage.style.color = "purple";
            vResultMessage.style.visibility = "visible";
        }
    }

    function getRandomNumberFrom1To6() {
        var vSoBatKyTu1Den6 = Math.floor(Math.random() * 6 + 1);
        console.log("Số bất kỳ từ 1 đến 6 là: " + vSoBatKyTu1Den6);
        return vSoBatKyTu1Den6;
    }
</script>

<body>
    <div class="container">
        <div class="image">
        </div>
        <div class="title">
            <h1 style="color: red">Chào mừng đến với Lucky Dice Casino</h1>
        </div>
        <div class="play-form">
            <img src="images/dice.png" alt="" id="img-dice">
            <button id="btn-nem" onclick="onBtnNemClick()">Ném</button>
        </div>
        <div class="result">
            <h2 id="result-message">Kết quả</h2>
        </div>
    </div>
</body>

</html>